
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 店铺扩张信息VO
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
public class ShopExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long shopExtensionId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺商品总销量")
    private Integer saleNum;

    @Schema(description = "店铺收藏数量")
    private Long collectionNum;

    public Long getShopExtensionId() {
        return shopExtensionId;
    }

    public void setShopExtensionId(Long shopExtensionId) {
        this.shopExtensionId = shopExtensionId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    public Long getCollectionNum() {
        return collectionNum;
    }

    public void setCollectionNum(Long collectionNum) {
        this.collectionNum = collectionNum;
    }

    @Override
    public String toString() {
        return "ShopExtensionVO{" +
                "shopExtensionId=" + shopExtensionId +
                ",shopId=" + shopId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",saleNum=" + saleNum +
                ",collectionNum=" + collectionNum +
                '}';
    }
}
